Skip to content
Proud to collaborate with Microsoft for Startups

argocd.application.update ​

Update updates an application

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
application_metadata_namestringYes—Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names +optional
metadatajsonNo—ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.
operationjsonNo——
specjsonNo—ApplicationSpec represents desired application state. Contains link to repository with application definition and additional parameters link definition revision.
statusjsonNo——
validatebooleanNo——
projectstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
application_metadata_namestringYes—Name must be unique within a namespace. Is required when creating resources, although some resources may allow a client to request the generation of an appropriate name automatically. Name is primarily intended for creation idempotence and configuration definition. Cannot be updated. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names +optional
metadatajsonNo—ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.
operationjsonNo——
specjsonNo—ApplicationSpec represents desired application state. Contains link to repository with application definition and additional parameters link definition revision.
statusjsonNo——
validatebooleanNo——
projectstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /api/v1/applications/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /api/v1/applications/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.application.update",
  "initial_data": {
    "base_url": "value",
    "application_metadata_name": "value"
  }
}